package com.liquidnet.service.kylin.dao.report;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PerformanceCityDataDto
 * @Package com.liquidnet.service.kylin.dao.report
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/23 10:58
 */
@Data
public class PerformanceCityDataDto implements Serializable {
    private String performanceId;
    private String cityName;
    private long totalNumber;

    private static final PerformanceCityDataDto obj = new PerformanceCityDataDto();

    public static PerformanceCityDataDto getNew() {
        try {
            return (PerformanceCityDataDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new PerformanceCityDataDto();
        }
    }
}
